Loading...
Searching...
No Matches
Integer Types
Base API
Collaboration diagram for Integer Types:

## Files

file | l4int.h
| Fixed sized integer types, generic version.
file | l4int.h
| Fixed sized integer types, arm version.
file | l4int.h
| Fixed sized integer types, arm version.
file | l4int.h
| Fixed sized integer types, AMD64 version.
file | l4int.h
| Fixed sized integer types, x86 version.

## Macros

#define | L4_MWORD_BITS 32
| Size of machine words in bits.
#define | L4_MWORD_BITS 64
| Size of machine words in bits.
#define | L4_MWORD_BITS 64
| Size of machine words in bits.
#define | L4_MWORD_BITS 32
| Size of machine words in bits.

## Typedefs

typedef signed char | l4_int8_t
| Signed 8bit value.
typedef unsigned char | l4_uint8_t
| Unsigned 8bit value.
typedef signed short int | l4_int16_t
| Signed 16bit value.
typedef unsigned short int | l4_uint16_t
| Unsigned 16bit value.
typedef signed int | l4_int32_t
| Signed 32bit value.
typedef unsigned int | l4_uint32_t
| Unsigned 32bit value.
typedef signed long long | l4_int64_t
| Signed 64bit value.
typedef unsigned long long | l4_uint64_t
| Unsigned 64bit value.
typedef unsigned long | l4_addr_t
| Address type.
typedef signed long | l4_mword_t
| Signed machine word.
typedef unsigned long | l4_umword_t
| Unsigned machine word.
typedef l4_uint64_t | l4_cpu_time_t
| CPU clock type.
typedef l4_uint64_t | l4_kernel_clock_t
| Kernel clock type.
typedef unsigned int | l4_size_t
| Unsigned size type.
typedef signed int | l4_ssize_t
| Signed size type.
typedef unsigned long | l4_size_t
| Unsigned size type.
typedef signed long | l4_ssize_t
| Signed size type.
typedef unsigned long | l4_size_t
| Unsigned size type.
typedef signed long | l4_ssize_t
| Signed size type.
typedef unsigned int | l4_size_t
| Unsigned size type.
typedef signed int | l4_ssize_t
| Signed size type.

## Detailed Description

Include File
  #include <l4/sys/l4int.h>